import { Metric } from '../types.js';
interface PerformanceEntriesHandler {
    (entries: Metric['entries']): void;
}
/**
 * Takes a performance entry type and a callback function, and creates a
 * `PerformanceObserver` instance that will observe the specified entry type
 * with buffering enabled and call the callback _for each entry_.
 *
 * This function also feature-detects entry support and wraps the logic in a
 * try/catch to avoid errors in unsupporting browsers.
 */
export declare const observe: (type: string, callback: PerformanceEntriesHandler, opts?: PerformanceObserverInit | undefined) => PerformanceObserver | undefined;
export {};
